View Issue Details

IDProjectCategoryView StatusLast Update
0000141Bacula-Webfeaturepublic2018-07-07 12:19
ReporterdavideAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version7.0.0 
Target Version8.1.0Fixed in Version8.1.0 
Summary0000141: Pagination in report pages
DescriptionIn report pages, we should be able to paginate report result, especially when there's hundreds or more elements.

For example, the volumes report can display more than one hundred volumes in the same page, this is not efficient as you need to scroll down the page to find the information you're looking for.

To improve the situation, add a navigation bar with button like first, last and page number(s).
Steps To ReproduceGo to "Jobs report" without any filter with a lot jobs.
TagsNo tags attached.

Activities

davide

2018-07-07 12:19

manager   ~0000806

Pagination feature implemented, it will be available in next release

Issue History

Date Modified Username Field Change
2014-11-19 09:53 davide New Issue
2014-11-19 09:53 davide Status new => assigned
2014-11-19 09:53 davide Assigned To => davide
2018-07-06 14:02 davide Target Version => 8.1.0
2018-07-06 14:02 davide Summary Jobs navigation in Jobs report page => Pagination in report pages
2018-07-06 14:02 davide Description Updated View Revisions
2018-07-06 14:02 davide Steps to Reproduce Updated View Revisions
2018-07-07 12:19 davide Status assigned => resolved
2018-07-07 12:19 davide Resolution open => fixed
2018-07-07 12:19 davide Fixed in Version => 8.1.0
2018-07-07 12:19 davide Note Added: 0000806